Bug 1361342 - due to bad contionals nagios is using old sysvinit script instead of systemd unit
Summary: due to bad contionals nagios is using old sysvinit script instead of systemd ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Keiran Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 21:31 UTC by Kevin Fenzi
Modified: 2016-08-27 10:35 UTC (History)
7 users (show)

Fixed In Version: nagios-4.0.8-4.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:35:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Fenzi 2016-07-28 21:31:31 UTC
Look at any of the current nagios packages and you will see it's shipping a sysvinit script instead of the actual systemd unit it should be. 

%if 0%{?el7}%{?fc20}%{?fc21}%{?fc22}%{?fc23}%{?fc24}

is the conditional, but it doesn't work. 

Since el5/el6 are the only non systemd releases anymore, might just change this to only match on them and default to systemd unit on.

Comment 1 Fedora Update System 2016-08-12 17:39:14 UTC
nagios-4.0.8-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52c039b6d0

Comment 2 Fedora Update System 2016-08-12 22:52:46 UTC
nagios-4.0.8-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52c039b6d0

Comment 3 Fedora Update System 2016-08-27 10:35:52 UTC
nagios-4.0.8-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.